Subject: Re: bug#19192: 25.0.50; TRAMP uses `dired-listing-switches' for ftp-connection

From: Michael Albinus <[email-masked]>
Date: Tue, 09 Dec 2014 14:56:05 +0100

Rasmus <[email-masked]> writes:

> Hi,

Hi Rasmus,

> That comment is obsolete.  See why here:
>
>      http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19192#20
>
> I tried all long commands with my ftp server (Debian-hosted) and discard
> the ones that breaks ls over ftp.  
>
> Feel free to try the attached patch.

Sorry, it took a while until I found the time to have a look on your
patch.

So far it seems to be OK, but wouldn't it be safer to disallow all
options to ftp which start with "--"? I understand that you have checked
it with your ftp client, but you cannot assume that everybody uses the same
version of ftp and ls as you do. Samr for the ftp server.

> Cheers,
> Rasmus

Best regards, Michael.